package com.xtd.project.system.domain.vo;

import java.util.ArrayList;
import java.util.List;

public class TreeNodeVo implements TreeEntity<TreeNodeVo> {
    /**
     * 节点id
     */
    private Long id;
    /**
     * 父节点 默认0为根节点
     */
    private Long parentId;
    /**
     * 节点名称
     */
    private String label;

    private Integer orderNum;


    private List<TreeNodeVo> children = new ArrayList<>();


    @Override
    public Long getId() {
        return id;
    }

    @Override
    public Long getParentId() {
        return parentId;
    }

    @Override
    public void setChildren(List<TreeNodeVo> children) {
        this.children = children;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public List<TreeNodeVo> getChildren() {
        return children;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
}
